Bug 144961 - sound problems with kernel 2.6.10-1.737_FC3
sound problems with kernel 2.6.10-1.737_FC3
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2005-01-12 19:51 EST by Richard Miles
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-07 02:54:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Defines dmix item for pcm.dsp0 (879 bytes, text/plain)
2005-01-15 17:20 EST, Richard Miles
no flags Details
add a default to spawn_options in /etc/esd.conf (223 bytes, text/plain)
2005-01-15 17:23 EST, Richard Miles
no flags Details

  None (edit)
Description Richard Miles 2005-01-12 19:51:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I recently installed kernel 2.6.10-1.737_FC3 and have noticed that I
did not hear my gnome startup command that plays a .wav file. On further 
investigation I noticed that the play command, xmms and the test sound
of system-config-sound did not occur. In fact these applications seem to
hang. These problems did not occur when using previous kernels. The
funny thing is that I can hear gnome sound events. I am using a
Ensoniq 5880 AudioPCI (rev 02) sound card.

Version-Release number of selected component (if applicable):
2.6.10-1.737_FC3

How reproducible:
Always

Steps to Reproduce:
1.Log in as Gnome user.
2.Sytem startup .wav file can not be heard
3.xmms .wav files and system-config-sound test sound can not be heard.
4. These applications appear to hang.
    

Actual Results:  Sound can not be heard from applications. Only Gnome
sound events can be
heard.

Expected Results:  Sound could be heard as in previous kernels.

Additional info:

No error messages. Just no sound from applications.
Comment 1 Gawain Lynch 2005-01-15 00:28:13 EST
I am also seeing this with 737 and 741.

Using Intel 8x0 here.
Comment 2 Mike Cohler 2005-01-15 12:21:35 EST
There seems to be a workaround - see
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=144742
Comment 3 Richard Miles 2005-01-15 17:20:38 EST
Created attachment 109829 [details]
Defines dmix item for pcm.dsp0

The sound system "esd" is owning the pcm channel. Make /etc/asound.conf file
that
defines a dmix for pcm.dsp0 and then make esd use it. /etc/esd.conf see
additional
attachment.
Comment 4 Richard Miles 2005-01-15 17:23:16 EST
Created attachment 109830 [details]
add a default to spawn_options in /etc/esd.conf

See attachment for change to /etc/esd.conf
Comment 5 Dave Jones 2005-07-15 15:44:44 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-12-07 02:54:00 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug with current FC3 updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

If you are not the reporter, but can reproduce this problem against
FC4, please open a new bug.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.